package com.unitesk.requality.core.checkers;

import com.unitesk.requality.core.TreeNode;

public class CheckerProblem {
    private TreeNode target;
    private String description;
    
    public CheckerProblem(TreeNode target, String description) {
        this.target = target;
        this.description = description;
    }

    public String getDescription() {
        return description;
    }

    public Object getTarget() {
        return target;
    }

    @Override
    public String toString() {
        return target.toString()+": "+description;
    }
}
